DiscCoverRE 2.3.2 supposed to work with Toast 9, demands Toa

pihmpdaddi
New member
Posts: 2
Joined: December 28th, 2013, 12:21 am

Postby pihmpdaddi » December 28th, 2013, 12:40 am

I downloaded the version from the website supposedly for Toast 9, but after I installed it, it demanded Toast 10. I don't have Toast 10 and really have no need to buy it. I tried uninstalling and reinstalling, no luck. And of course the 2.1.1 version I had is now gone.

I'm running OS 10.8.5 but this shouldn't matter, the software was made to work with 10.6 and should still work.
Nick
Member
Posts: 7241
Joined: July 6th, 2006, 3:13 am
Location: Odessa, Ukraine
Contact:

Postby Nick » December 29th, 2013, 3:33 am

Hi pihmpdaddi,

You can find an older version of Get Backup on this page:
http://www.belightsoft.com/products/disccover/downloads.php

In the bottom, you can choose Toast 9 and download the latest Disc Cover compatible.

To use the most recent Disc Cover, you need to buy an update.

Nick
pihmpdaddi
New member
Posts: 2
Joined: December 28th, 2013, 12:21 am

Postby pihmpdaddi » December 30th, 2013, 4:01 pm

Thank you Nick, but this is what I did. Went to the drop menu for Roxio users and selected Toast 9. The only version it gives me is 2.3.2 and that is what overwrote my 2.1.1 version (which wasn't working on OS 10.8.5) and then required Toast 10. I can find no older versions of the Disc Cover RE.
Nick
Member
Posts: 7241
Joined: July 6th, 2006, 3:13 am
Location: Odessa, Ukraine
Contact:

Postby Nick » December 31st, 2013, 3:41 am

Contact the Sales Department using this form
http://www.belightsoft.com/support/supportform.php?prod=la

Indicate your version of Toast and Mac OS in order to find a version that is compatible with both of them.

Nick

Return to “Disc Cover”

Who is online

Users browsing this forum: No registered users and 6 guests